package com.bonus.canteen.core.supply.purchase.domain.param;

import com.bonus.canteen.core.supply.purchase.constants.DrpInterfaceType;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

public class DrpPurchasePlanPageDTO {
   @ApiModelProperty("采购单号")
   private String planId;
   @ApiModelProperty("采购计划开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("采购计划结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("审批状态(1待审批,2审批中,3审批同意,4审批拒绝)")
   private Integer approveStatus;
   @ApiModelProperty("制表开始时间")
   private LocalDateTime crtimeStart;
   @ApiModelProperty("制表结束时间")
   private LocalDateTime crtimeEnd;
   @ApiModelProperty("制表人")
   private String createBy;
   @ApiModelProperty("提交状态 1待提交 2已提交")
   private Integer orderStatus;
   @ApiModelProperty("区域id")
   private List<Long> areaIdList;
   @ApiModelProperty("食堂id")
   private List<Long> canteenIdList;
   @ApiModelProperty("档口id")
   private List<Long> stallIdList;
   @ApiModelProperty("类型(1 暂存 2 待处理 3 已处理 4 我发起的 5 已完成)")
   private Integer type;
   private DrpInterfaceType interfaceType;
   private List<Long> instanceIds;
   @ApiModelProperty("审批状态集合")
   private List<Integer> approveStatusList;
   @ApiModelProperty("单据id集合")
   private List<String> planIdList;
   private List<Long> areaAuth;

   public DrpPurchasePlanPageDTO() {
      this.interfaceType = DrpInterfaceType.WEB;
   }

   public String getPlanId() {
      return this.planId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public Integer getOrderStatus() {
      return this.orderStatus;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getCanteenIdList() {
      return this.canteenIdList;
   }

   public List<Long> getStallIdList() {
      return this.stallIdList;
   }

   public Integer getType() {
      return this.type;
   }

   public DrpInterfaceType getInterfaceType() {
      return this.interfaceType;
   }

   public List<Long> getInstanceIds() {
      return this.instanceIds;
   }

   public List<Integer> getApproveStatusList() {
      return this.approveStatusList;
   }

   public List<String> getPlanIdList() {
      return this.planIdList;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }

   public void setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
   }

   public void setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
   }

   public void setOrderStatus(final Integer orderStatus) {
      this.orderStatus = orderStatus;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setCanteenIdList(final List<Long> canteenIdList) {
      this.canteenIdList = canteenIdList;
   }

   public void setStallIdList(final List<Long> stallIdList) {
      this.stallIdList = stallIdList;
   }

   public void setType(final Integer type) {
      this.type = type;
   }

   public void setInterfaceType(final DrpInterfaceType interfaceType) {
      this.interfaceType = interfaceType;
   }

   public void setInstanceIds(final List<Long> instanceIds) {
      this.instanceIds = instanceIds;
   }

   public void setApproveStatusList(final List<Integer> approveStatusList) {
      this.approveStatusList = approveStatusList;
   }

   public void setPlanIdList(final List<String> planIdList) {
      this.planIdList = planIdList;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }
}
